using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;

namespace Jbe.CABExtension.WPF
{
    /// <summary>
    /// Defines a service to deal with the <see cref="WorkItem"/> activation and deactivation based
    /// on its contained <see cref="UIElement"/> state.
    /// </summary>
    public interface IUIElementActivationService
    {
        /// <summary>
        /// Notifies that a <see cref="UIElement"/> has been added to the container.
        /// </summary>
        /// <param name="uiElement">The UIElement in which to monitor the OnGotFocus event.</param>
        void UIElementAdded(UIElement uiElement);

        /// <summary>
        /// Notifies that a <see cref="UIElement"/> has been removed from the container.
        /// </summary>
        /// <param name="control">The UIElement being monitored.</param>
        void UIElementRemoved(UIElement uiElement);
    }
}
