using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.CompositeUI.Utility;
using Jbe.CABExtension.Properties;

namespace Jbe.CABExtension
{
    public class AdapterFactoryCatalog<T> : IAdapterFactoryCatalog<T>
    {
        private List<IAdapterFactory<T>> factories = new List<IAdapterFactory<T>>();

        public IList<IAdapterFactory<T>> Factories
        {
            get { return factories.AsReadOnly(); }
        }

        public IAdapterFactory<T> GetFactory(object element)
        {
            for (int i = factories.Count - 1; i >= 0; i--)
            {
                if (factories[i].Supports(element))
                {
                    return factories[i];
                }
            }

            throw new ArgumentException(String.Format(Resources.NoRegisteredAdapterFactory, 
                element.GetType().ToString()));
        }

        public void RegisterFactory(IAdapterFactory<T> factory)
        {
            Guard.ArgumentNotNull(factory, "factory");

            factories.Add(factory);
        }
    }
}
