using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Drawing;

namespace Jbe.CABExtension.WinForms
{
    public class SplashForm : Form
    {
        /// <summary>
        /// Creates a Form for the splash image.
        /// </summary>
        /// <param name="splashImage">The Image to show as splash screen.</param>
        /// <param name="transparentColor">The color used for transparent areas.</param>
        public SplashForm(Image splashImage, Color transparentColor)
        {
            BackColor = transparentColor;
            BackgroundImage = splashImage;
            BackgroundImageLayout = ImageLayout.None;
            ClientSize = splashImage.Size;
            FormBorderStyle = FormBorderStyle.None;
            StartPosition = FormStartPosition.CenterScreen;
            ShowInTaskbar = false;
            TransparencyKey = transparentColor;
        }
    }
}
