using System;
using System.Collections.Generic;
using System.Text;
using System.Reflection;

namespace Jbe.TestSuite.Help.Interface.Services
{
    /// <summary>
    /// Represents a dynamic help service.
    /// </summary>
    public interface IDynamicHelp
    {
        /// <summary>
        /// Shows the specified help in the application.
        /// </summary>
        /// <param name="executingAssembly">The assembly of the calling code.</param>
        /// <param name="helpUrl">The url of the help document.</param>
        void ShowHelp(Assembly executingAssembly, string helpUrl);
    }
}
