using Microsoft.Practices.CompositeUI;
using Microsoft.Practices.ObjectBuilder;
using Jbe.TestSuite.Infrastructure.Interface.Constants;
using Jbe.TestSuite.Infrastructure.Library.UI;
using Jbe.CABExtension.WPF.Workspaces;
using Microsoft.Practices.CompositeUI.UIElements;
using Jbe.TestSuite.Infrastructure.Layout.UIElements;

namespace Jbe.TestSuite.Infrastructure.Layout
{
    public class Module : ModuleInit
    {
        private WorkItem rootWorkItem;
        private IUIElementAdapterFactoryCatalog factoryCatalog;

        [ServiceDependency]
        public IUIElementAdapterFactoryCatalog FactoryCatalog
        {
            set { factoryCatalog = value; }
        }

        [InjectionConstructor]
        public Module([ServiceDependency] WorkItem rootWorkItem)
        {
            this.rootWorkItem = rootWorkItem;
        }

        public override void Load()
        {
            base.Load();

            // Register UIElementAdapterFactory
            factoryCatalog.RegisterFactory(new ToolStripPanelUIAdapterFactory());

            // Add layout view to the shell
            ShellLayoutView shellLayout = rootWorkItem.SmartParts.AddNew<ShellLayoutView>();
            rootWorkItem.Workspaces[WorkspaceNames.LayoutWorkspace].Show(shellLayout);

            // Add window workspace to be used for modal windows
            FormWorkspace wsp = new FormWorkspace(shellLayout.ParentForm);
            rootWorkItem.Workspaces.Add(wsp, WorkspaceNames.ModalWindows);
        }
    }
}
