using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.CompositeUI.UIElements;
using System.Windows.Forms;
using Microsoft.Practices.CompositeUI.Utility;
using System.Drawing;

namespace Jbe.TestSuite.Infrastructure.Layout.UIElements
{
    /// <summary>
    /// A UIElementAdapter for ToolStrips.
    /// </summary>
    public class ToolStripPanelUIAdapter : UIElementAdapter<ToolStrip>
    {
        private ToolStripPanel panel;

        public ToolStripPanelUIAdapter(ToolStripPanel panel)
        {
            Guard.ArgumentNotNull(panel, "panel");
            this.panel = panel;
        }

        protected override ToolStrip Add(ToolStrip uiElement)
        {
            panel.Controls.Add(uiElement);
            if (panel.Controls.Count > 1)
            {
                Point location = panel.Controls[panel.Controls.Count - 2].Location;
                location.X += panel.Controls[panel.Controls.Count - 2].Size.Width;
                uiElement.Location = location;
            }
            return uiElement;
        }

        protected override void Remove(ToolStrip uiElement)
        {
            panel.Controls.Remove(uiElement);
        }
    }
}
