using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.CompositeUI.UIElements;
using System.Windows.Forms;
using Jbe.TestSuite.Infrastructure.Layout.Properties;

namespace Jbe.TestSuite.Infrastructure.Layout.UIElements
{
    /// <summary>
    /// A factory for an IUIElementAdapter, which supports ToolStrips.
    /// </summary>
    public class ToolStripPanelUIAdapterFactory : IUIElementAdapterFactory
    {
        public IUIElementAdapter GetAdapter(object uiElement)
        {
            if (uiElement is ToolStripPanel)
            {
                return new ToolStripPanelUIAdapter((ToolStripPanel)uiElement);
            }

            throw new ArgumentException(String.Format(Resources.ArgumentNotSupported, "uiElement"));
        }

        public bool Supports(object uiElement)
        {
            return uiElement is ToolStripPanel;
        }
    }
}
