using Microsoft.Practices.CompositeUI.EventBroker;
using Jbe.TestSuite.Infrastructure.Interface;
using Jbe.TestSuite.Infrastructure.Interface.Constants;
using Jbe.CABExtension.WinForms.Workspaces;
using Jbe.TestSuite.Infrastructure.Layout.UIElements;
using Jbe.TestSuite.Infrastructure.Interface.Services;
using Microsoft.Practices.CompositeUI;
using System.Windows.Forms;
using Microsoft.Practices.CompositeUI.WinForms.UIElements;
using System;
using System.ComponentModel;

namespace Jbe.TestSuite.Infrastructure.Layout
{
    public class ShellLayoutViewPresenter : Presenter<ShellLayoutView>
    {
        private IDocumentManager documentManager;
        private IShowAboutView showAboutView;

        [ServiceDependency]
        public IDocumentManager DocumentManager
        {
            set { documentManager = value; }
        }

        [ServiceDependency]
        public IShowAboutView ShowAboutView
        {
            set { showAboutView = value; }
        }

        /// <summary>
        /// Called when the user asks to exit the application.
        /// </summary>
        public void OnFileExit()
        {
            View.ParentForm.Close();
        }

        public void ShowAbout()
        {
            showAboutView.ShowAboutView();
        }

        /// <summary>
        /// Status update handler. Updates the status strip on the main form.
        /// </summary>
        /// <param name="sender">The sender.</param>
        /// <param name="e">The e.</param>
        [EventSubscription(EventTopicNames.StatusUpdate, ThreadOption.UserInterface)]
        public void StatusUpdateHandler(object sender, EventArgs<string> e)
        {
            View.SetStatusLabel(e.Data);
        }

        [EventSubscription(EventTopicNames.ShellClosing, ThreadOption.UserInterface)]
        public void ShellClosingHandler(object sender, CancelEventArgs e)
        {
            e.Cancel = !View.CloseDocuments();
        }
    }
}
