using System;
using System.Collections.Generic;
using System.Text;
using Jbe.TestSuite.Infrastructure.Interface.Services;
using System.Windows.Forms;

namespace Jbe.TestSuite.Infrastructure.Module.EditAdapters
{
    public class RichTextBoxAdapter : TextBoxBaseAdapter
    {
        private RichTextBox adaptee;

        public override bool CanRedo
        {
            get { return adaptee.CanRedo; }
        }

        public override bool CanPaste
        {
            get 
            { 
                IDataObject data = Clipboard.GetDataObject();
                foreach (string format in data.GetFormats())
                {
                    if (adaptee.CanPaste(DataFormats.GetFormat(format))) { return true; }
                }
                return false;
            }
        }

        public RichTextBoxAdapter(RichTextBox adaptee) : base(adaptee)
        {
            this.adaptee = adaptee;
        }

        public override void Redo()
        {
            adaptee.Redo();
        }
    }
}
