using Microsoft.Practices.CompositeUI.SmartParts;
using Microsoft.Practices.ObjectBuilder;

namespace Jbe.TestSuite.Message.Demo
{
    [SmartPart]
    partial class DemoView
    {
        /// <summary>
        /// The presenter used by this view.
        /// </summary>
        private Jbe.TestSuite.Message.Demo.DemoViewPresenter presenter = null;

        /// <summary> 
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Sets the presenter. The dependency injection system will automatically
        /// create a new presenter for you.
        /// </summary>
        [CreateNew]
        public DemoViewPresenter Presenter
        {
            set
            {
                presenter = value;
                presenter.View = this;
            }
        }

        #region Component Designer generated code

        /// <summary> 
        /// Required method for Designer support - do not modify 
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.detailsText = new System.Windows.Forms.TextBox();
            this.detailsLabel = new System.Windows.Forms.Label();
            this.messageText = new System.Windows.Forms.TextBox();
            this.msgInfoLabel = new System.Windows.Forms.Label();
            this.messageLabel = new System.Windows.Forms.Label();
            this.showDialogButton = new System.Windows.Forms.Button();
            this.msgTypeCombo = new System.Windows.Forms.ComboBox();
            this.msgTypeLabel = new System.Windows.Forms.Label();
            this.showStatusBarButton = new System.Windows.Forms.Button();
            this.exceptionLabel = new System.Windows.Forms.Label();
            this.throwExceptionButton = new System.Windows.Forms.Button();
            this.exceptionRadio = new System.Windows.Forms.RadioButton();
            this.authenticationExRadio = new System.Windows.Forms.RadioButton();
            this.eventTopicExRadio = new System.Windows.Forms.RadioButton();
            this.SuspendLayout();
            // 
            // detailsText
            // 
            this.detailsText.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.detailsText.Location = new System.Drawing.Point(109, 95);
            this.detailsText.Margin = new System.Windows.Forms.Padding(4);
            this.detailsText.Multiline = true;
            this.detailsText.Name = "detailsText";
            this.detailsText.Size = new System.Drawing.Size(296, 67);
            this.detailsText.TabIndex = 6;
            // 
            // detailsLabel
            // 
            this.detailsLabel.AutoSize = true;
            this.detailsLabel.Location = new System.Drawing.Point(60, 98);
            this.detailsLabel.Margin = new System.Windows.Forms.Padding(3, 0, 6, 0);
            this.detailsLabel.Name = "detailsLabel";
            this.detailsLabel.Size = new System.Drawing.Size(39, 13);
            this.detailsLabel.TabIndex = 5;
            this.detailsLabel.Text = "Details";
            // 
            // messageText
            // 
            this.messageText.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.messageText.Location = new System.Drawing.Point(109, 67);
            this.messageText.Margin = new System.Windows.Forms.Padding(4);
            this.messageText.Name = "messageText";
            this.messageText.Size = new System.Drawing.Size(296, 20);
            this.messageText.TabIndex = 4;
            // 
            // msgInfoLabel
            // 
            this.msgInfoLabel.AutoSize = true;
            this.msgInfoLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.msgInfoLabel.ForeColor = System.Drawing.Color.Gray;
            this.msgInfoLabel.Location = new System.Drawing.Point(3, 9);
            this.msgInfoLabel.Margin = new System.Windows.Forms.Padding(3, 9, 3, 12);
            this.msgInfoLabel.Name = "msgInfoLabel";
            this.msgInfoLabel.Size = new System.Drawing.Size(178, 13);
            this.msgInfoLabel.TabIndex = 0;
            this.msgInfoLabel.Text = "Enter the message information";
            // 
            // messageLabel
            // 
            this.messageLabel.AutoSize = true;
            this.messageLabel.Location = new System.Drawing.Point(49, 70);
            this.messageLabel.Margin = new System.Windows.Forms.Padding(3, 0, 6, 0);
            this.messageLabel.Name = "messageLabel";
            this.messageLabel.Size = new System.Drawing.Size(50, 13);
            this.messageLabel.TabIndex = 3;
            this.messageLabel.Text = "Message";
            // 
            // showDialogButton
            // 
            this.showDialogButton.Location = new System.Drawing.Point(109, 178);
            this.showDialogButton.Margin = new System.Windows.Forms.Padding(3, 12, 3, 12);
            this.showDialogButton.Name = "showDialogButton";
            this.showDialogButton.Size = new System.Drawing.Size(103, 23);
            this.showDialogButton.TabIndex = 7;
            this.showDialogButton.Text = "Show Dialog";
            this.showDialogButton.UseVisualStyleBackColor = true;
            this.showDialogButton.Click += new System.EventHandler(this.ShowDialogButtonClick);
            // 
            // msgTypeCombo
            // 
            this.msgTypeCombo.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.msgTypeCombo.FormattingEnabled = true;
            this.msgTypeCombo.Items.AddRange(new object[] {
            "Information",
            "Warning",
            "Error"});
            this.msgTypeCombo.Location = new System.Drawing.Point(109, 38);
            this.msgTypeCombo.Margin = new System.Windows.Forms.Padding(4);
            this.msgTypeCombo.Name = "msgTypeCombo";
            this.msgTypeCombo.Size = new System.Drawing.Size(150, 21);
            this.msgTypeCombo.TabIndex = 2;
            // 
            // msgTypeLabel
            // 
            this.msgTypeLabel.AutoSize = true;
            this.msgTypeLabel.Location = new System.Drawing.Point(26, 41);
            this.msgTypeLabel.Margin = new System.Windows.Forms.Padding(3, 0, 6, 0);
            this.msgTypeLabel.Name = "msgTypeLabel";
            this.msgTypeLabel.Size = new System.Drawing.Size(73, 13);
            this.msgTypeLabel.TabIndex = 1;
            this.msgTypeLabel.Text = "Message type";
            // 
            // showStatusBarButton
            // 
            this.showStatusBarButton.Location = new System.Drawing.Point(221, 178);
            this.showStatusBarButton.Margin = new System.Windows.Forms.Padding(6, 3, 3, 3);
            this.showStatusBarButton.Name = "showStatusBarButton";
            this.showStatusBarButton.Size = new System.Drawing.Size(103, 23);
            this.showStatusBarButton.TabIndex = 8;
            this.showStatusBarButton.Text = "Show Statusbar";
            this.showStatusBarButton.UseVisualStyleBackColor = true;
            this.showStatusBarButton.Click += new System.EventHandler(this.ShowStatusBarButton);
            // 
            // exceptionLabel
            // 
            this.exceptionLabel.AutoSize = true;
            this.exceptionLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.exceptionLabel.ForeColor = System.Drawing.Color.Gray;
            this.exceptionLabel.Location = new System.Drawing.Point(3, 222);
            this.exceptionLabel.Margin = new System.Windows.Forms.Padding(3, 9, 3, 12);
            this.exceptionLabel.Name = "exceptionLabel";
            this.exceptionLabel.Size = new System.Drawing.Size(119, 13);
            this.exceptionLabel.TabIndex = 9;
            this.exceptionLabel.Text = "Throw an exception";
            // 
            // throwExceptionButton
            // 
            this.throwExceptionButton.Location = new System.Drawing.Point(109, 334);
            this.throwExceptionButton.Margin = new System.Windows.Forms.Padding(3, 12, 3, 6);
            this.throwExceptionButton.Name = "throwExceptionButton";
            this.throwExceptionButton.Size = new System.Drawing.Size(103, 23);
            this.throwExceptionButton.TabIndex = 13;
            this.throwExceptionButton.Text = "Throw Exception";
            this.throwExceptionButton.UseVisualStyleBackColor = true;
            this.throwExceptionButton.Click += new System.EventHandler(this.ThrowExceptionButtonClick);
            // 
            // exceptionRadio
            // 
            this.exceptionRadio.AutoSize = true;
            this.exceptionRadio.Checked = true;
            this.exceptionRadio.Location = new System.Drawing.Point(109, 251);
            this.exceptionRadio.Margin = new System.Windows.Forms.Padding(4);
            this.exceptionRadio.Name = "exceptionRadio";
            this.exceptionRadio.Size = new System.Drawing.Size(72, 17);
            this.exceptionRadio.TabIndex = 10;
            this.exceptionRadio.TabStop = true;
            this.exceptionRadio.Text = "Exception";
            this.exceptionRadio.UseVisualStyleBackColor = true;
            // 
            // authenticationExRadio
            // 
            this.authenticationExRadio.AutoSize = true;
            this.authenticationExRadio.Location = new System.Drawing.Point(109, 276);
            this.authenticationExRadio.Margin = new System.Windows.Forms.Padding(4);
            this.authenticationExRadio.Name = "authenticationExRadio";
            this.authenticationExRadio.Size = new System.Drawing.Size(140, 17);
            this.authenticationExRadio.TabIndex = 11;
            this.authenticationExRadio.Text = "AuthenticationException";
            this.authenticationExRadio.UseVisualStyleBackColor = true;
            // 
            // eventTopicExRadio
            // 
            this.eventTopicExRadio.AutoSize = true;
            this.eventTopicExRadio.Location = new System.Drawing.Point(109, 301);
            this.eventTopicExRadio.Margin = new System.Windows.Forms.Padding(4);
            this.eventTopicExRadio.Name = "eventTopicExRadio";
            this.eventTopicExRadio.Size = new System.Drawing.Size(127, 17);
            this.eventTopicExRadio.TabIndex = 12;
            this.eventTopicExRadio.Text = "EventTopicException";
            this.eventTopicExRadio.UseVisualStyleBackColor = true;
            // 
            // DemoView
            // 
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.None;
            this.Controls.Add(this.eventTopicExRadio);
            this.Controls.Add(this.authenticationExRadio);
            this.Controls.Add(this.exceptionRadio);
            this.Controls.Add(this.showStatusBarButton);
            this.Controls.Add(this.msgTypeCombo);
            this.Controls.Add(this.throwExceptionButton);
            this.Controls.Add(this.showDialogButton);
            this.Controls.Add(this.detailsText);
            this.Controls.Add(this.detailsLabel);
            this.Controls.Add(this.messageText);
            this.Controls.Add(this.exceptionLabel);
            this.Controls.Add(this.msgInfoLabel);
            this.Controls.Add(this.msgTypeLabel);
            this.Controls.Add(this.messageLabel);
            this.Name = "DemoView";
            this.Size = new System.Drawing.Size(431, 397);
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion

        private System.Windows.Forms.TextBox detailsText;
        private System.Windows.Forms.Label detailsLabel;
        private System.Windows.Forms.TextBox messageText;
        private System.Windows.Forms.Label msgInfoLabel;
        private System.Windows.Forms.Label messageLabel;
        private System.Windows.Forms.Button showDialogButton;
        private System.Windows.Forms.ComboBox msgTypeCombo;
        private System.Windows.Forms.Label msgTypeLabel;
        private System.Windows.Forms.Button showStatusBarButton;
        private System.Windows.Forms.Label exceptionLabel;
        private System.Windows.Forms.Button throwExceptionButton;
        private System.Windows.Forms.RadioButton exceptionRadio;
        private System.Windows.Forms.RadioButton authenticationExRadio;
        private System.Windows.Forms.RadioButton eventTopicExRadio;
    }
}

