//----------------------------------------------------------------------------------------
// patterns & practices - Smart Client Software Factory - Guidance Package
//
// This file was generated by the "Add Business Module" recipe.
//
// This class contains placeholder methods for the common module initialization 
// tasks, such as adding services, or user-interface element
//
// For more information see: 
// ms-help://MS.VSCC.v80/MS.VSIPCC.v80/ms.practices.scsf.2007may/SCSF/html/02-08-060-Add_Business_Module_Next_Steps.htm
//
// Latest version of this Guidance Package: http://go.microsoft.com/fwlink/?LinkId=62182
//----------------------------------------------------------------------------------------

using System;
using System.Windows.Forms;
using Jbe.TestSuite.Infrastructure.Interface;
using Microsoft.Practices.CompositeUI;
using Microsoft.Practices.CompositeUI.Commands;
using Jbe.TestSuite.RTFEditor.Constants;
using Jbe.TestSuite.Infrastructure.Interface.Services;

namespace Jbe.TestSuite.RTFEditor
{
    public class ModuleController : WorkItemController, IDocumentFactory
    {
        private IDocumentManager documentManager;

        [ServiceDependency]
        public IDocumentManager DocumentManager
        {
            set { documentManager = value; }
        }

        public string Description
        {
            get { return "RTF Document"; }
        }

        public string Extension
        {
            get { return ".rtf";  }
        }

        public override void Run()
        {
            documentManager.Register(this);
        }

        public IDocument New()
        {
            ControlledWorkItem<DocumentController> documentWorkItem = WorkItem.WorkItems.AddNew<ControlledWorkItem<DocumentController>>();
            documentWorkItem.Controller.DocumentType = this;
            documentWorkItem.Controller.Run();
            return documentWorkItem.Controller;
        }

        public IDocument Open(string fileName)
        {
            ControlledWorkItem<DocumentController> documentWorkItem = WorkItem.WorkItems.AddNew<ControlledWorkItem<DocumentController>>();
            documentWorkItem.Controller.DocumentType = this;
            documentWorkItem.Controller.Run();
            documentWorkItem.Controller.Open(fileName);
            return documentWorkItem.Controller;
        }
    }
}
