using System;
using System.Collections.Generic;
using System.Text;

namespace Jbe.TestSuite.TestDevice.FunctionGen.Interface.Services
{
    /// <summary>
    /// Describes a function generator device.
    /// </summary>
    public interface IFunctionGen
    {
        /// <summary>
        /// The active configuration.
        /// </summary>
        IFunctionGenConfig Config { get; set; }

        /// <summary>
        /// Returns true, if the function generator is running.
        /// </summary>
        bool IsActive { get; }

        /// <summary>
        /// Start the function generator.
        /// </summary>
        void Start();

        /// <summary>
        /// Stop the function generator.
        /// </summary>
        void Stop();
    }
}
