using System;
using System.Collections.Generic;
using System.Text;

namespace Jbe.TestSuite.TestDevice.Manager.Interface
{
    /// <summary>
    /// Event data for a sample event.
    /// </summary>
    public class SampleEventArgs : EventArgs
    {
        double amplitude;
        DateTime timeStamp;

        /// <summary>
        /// The amplitude of the sample.
        /// </summary>
        public double Amplitude
        {
            get { return amplitude; }
        }

        /// <summary>
        /// The timestamp of the sample.
        /// </summary>
        public DateTime TimeStamp
        {
            get { return timeStamp; }
        }

        public SampleEventArgs(double amplitude, DateTime timeStamp)
        {
            this.amplitude = amplitude;
            this.timeStamp = timeStamp;
        }
    }
}
