using System;
using System.Collections.Generic;
using System.Text;

namespace Jbe.TestSuite.TestDevice.Manager.Interface.Services
{
    /// <summary>
    /// A control view for a test device.
    /// </summary>
    public interface IControlView
    {
        /// <summary>
        /// The <see cref="IDevice"/> controlled by the <see cref="IDeviceController"/>.
        /// </summary>
        IDevice Device { get; }

        /// <summary>
        /// The name of the device instance.
        /// </summary>
        string Name { get; }

        /// <summary>
        /// Show the device configuration and control user interface.
        /// </summary>
        void Show();

        /// <summary>
        /// Close the connection to the device.
        /// </summary>
        void Close();
    }
}
